=== debian/changelog ===
dune-istl (2.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Wed, 15 Jul 2020 12:38:37 +0200

dune-istl (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Drop patches that were applied upstream:
    - removed patch: 0001-CompPair-make-operator-a-const-method.patch
    - removed patch: 0002-do-not-catch-polymorphic-types-by-value.patch
    - removed patch: 0003-silence-warnings-about-unused-variables.patch
  * Use debhelper compat level 13.
  * Bumped Standards-Version to 4.5.0 (no changes).

 -- Ansgar <ansgar@debian.org>  Mon, 25 May 2020 18:44:26 +0200
