## dune-istl 2.7.1

=== lib/CMakeLists.txt ===
install(FILES duneistlam2cmake.lib
  DESTINATION ${CMAKE_INSTALL_BINDIR}/../lib)
