=== dune/istl/common/CMakeLists.txt ===
#install headers
install(FILES
   counter.hh
   registry.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/istl/common)
