=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.7.0-3),
+ libdune-common-dev (>= 2.7.1),
  libsuitesparse-dev,
  libsuperlu-dev
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
@@ -19,7 +19,7 @@
 Section: libdevel
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libdune-common-dev (>= 2.7.0-3),
+Depends: ${misc:Depends}, libdune-common-dev (>= 2.7.1),
  libsuitesparse-dev,
  libsuperlu-dev
 Suggests: libdune-istl-doc (= ${source:Version})
