=== dune/istl/CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,16 @@
 install(FILES
    allocator.hh
    basearray.hh
+   bccsmatrix.hh
+   bccsmatrixinitializer.hh
    bcrsmatrix.hh
    bdmatrix.hh
+   blocklevel.hh
    btdmatrix.hh
    bvector.hh
    cholmod.hh
    colcompmatrix.hh
+   foreach.hh
    gsetc.hh
    ildl.hh
    ilu.hh
@@ -32,7 +36,6 @@
    operators.hh
    overlappingschwarz.hh
    owneroverlapcopy.hh
-   pardiso.hh
    preconditioner.hh
    preconditioners.hh
    repartition.hh
@@ -42,6 +45,7 @@
    solvercategory.hh
    solver.hh
    solverfactory.hh
+   solverregistry.hh
    solvers.hh
    solvertype.hh
    spqr.hh
