=== dune/python/CMakeLists.txt ===
add_subdirectory(istl)
add_subdirectory(test)
