=== python/dune/CMakeLists.txt ===
add_subdirectory(istl)

add_python_targets(dune
  __init__
)
