=== dune/istl/test/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,8 @@
 dune_add_test(SOURCES complexmatrixtest.cc)
 
 dune_add_test(SOURCES fieldvectortest.cc)
+
+dune_add_test(SOURCES foreachtest.cc)
 
 dune_add_test(SOURCES matrixnormtest.cc)
 
@@ -76,9 +78,25 @@
 
 function(add_factory_test BLOCK)
   STRING(REGEX REPLACE "[^a-zA-Z0-9]" "" BLOCK_CLEAN ${BLOCK})
+  set(DEFINE_DEACTIVATE_AMG_DIRECTSOLVER "#define DISABLE_AMG_DIRECTSOLVER 1")
   configure_file(solverfactorytest.cc.in solverfactorytest_${BLOCK_CLEAN}.cc)
   dune_add_test(SOURCES ${CMAKE_CURRENT_BINARY_DIR}/solverfactorytest_${BLOCK_CLEAN}.cc
                 CMAKE_GUARD HAVE_MPI)
+  string(REGEX MATCH "LoopSIMD" _matched "${BLOCK}")
+  if(NOT _matched)
+    set(DEFINE_DEACTIVATE_AMG_DIRECTSOLVER "")
+    configure_file(solverfactorytest.cc.in solverfactorytest_${BLOCK_CLEAN}_direct.cc)
+    dune_add_test(SOURCES ${CMAKE_CURRENT_BINARY_DIR}/solverfactorytest_${BLOCK_CLEAN}_direct.cc
+                  MPI_RANKS 1 2 4
+                  TIMEOUT 600
+                  CMAKE_GUARD
+                  HAVE_MPI
+                  SuiteSparse_CHOLMOD_FOUND
+                  SuiteSparse_LDL_FOUND
+                  SuiteSparse_SPQR_FOUND
+                  SuiteSparse_UMFPACK_FOUND
+                  SuperLU_FOUND)
+  endif()
 endfunction(add_factory_test)
 
 foreach(FIELD_TYPE ${DUNE_TEST_FACTORY_FIELD_TYPES})
@@ -108,16 +126,21 @@
                 COMPILE_DEFINITIONS SUPERLU_NTYPE=3)
 
 # SuiteSparse tests
-  dune_add_test(SOURCES umfpacktest.cc)
+  dune_add_test(SOURCES umfpacktest.cc
+              CMAKE_GUARD SuiteSparse_UMFPACK_FOUND)
   set_directory_properties(PROPERTIES ADDITIONAL_MAKE_CLEAN_FILES "umfpack_decomp")
 
-dune_add_test(SOURCES ldltest.cc)
+dune_add_test(SOURCES ldltest.cc
+              CMAKE_GUARD SuiteSparse_LDL_FOUND)
 
-dune_add_test(SOURCES spqrtest.cc)
+dune_add_test(SOURCES spqrtest.cc
+              CMAKE_GUARD SuiteSparse_SPQR_FOUND)
 
-dune_add_test(SOURCES overlappingschwarztest.cc)
+dune_add_test(SOURCES overlappingschwarztest.cc
+              CMAKE_GUARD "SuperLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
 
-dune_add_test(SOURCES cholmodtest.cc)
+dune_add_test(SOURCES cholmodtest.cc
+              CMAKE_GUARD SuiteSparse_CHOLMOD_FOUND)
 
 dune_add_test(SOURCES registrytest.cc)
 
@@ -136,4 +159,6 @@
 
 dune_add_test(SOURCES iluildltest.cc)
 
+dune_add_test(SOURCES blocklevel.cc COMPILE_ONLY)
+
 exclude_from_headercheck(complexdata.hh)
