=== dune/python/test/CMakeLists.txt ===
dune_python_add_test(NAME pybcrsmatrix
                     SCRIPT bcrsmatrix.py
                     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                     LABELS quick)
