=== dune/istl/paamg/test/CMakeLists.txt ===
--- 
+++ 
@@ -2,65 +2,82 @@
 if(CMAKE_USE_PTHREADS_INIT)
   add_executable(pthreadamgtest pthreadamgtest.cc)
   target_compile_definitions(pthreadamgtest PUBLIC MYAMG=Dune::Amg::AMG<Operator,Vector,Smoother>)
-  target_link_libraries(pthreadamgtest ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
+  target_link_libraries(pthreadamgtest PRIVATE ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
+  add_dune_mpi_flags(pthreadamgtest)
+  add_dune_parmetis_flags(pthreadamgtest)
   dune_add_test(TARGET pthreadamgtest)
 
   add_executable(pthreadfastamgtest pthreadamgtest.cc)
   target_compile_definitions(pthreadfastamgtest PUBLIC MYAMG=Dune::Amg::FastAMG<Operator,Vector>)
+  target_link_libraries(pthreadfastamgtest PRIVATE ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
   add_dune_mpi_flags(pthreadfastamgtest)
-  target_link_libraries(pthreadfastamgtest ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
+  add_dune_parmetis_flags(pthreadfastamgtest)
   dune_add_test(TARGET pthreadfastamgtest)
 
   add_executable(pthreadtwoleveltest pthreadtwoleveltest.cc)
-  target_link_libraries(pthreadtwoleveltest ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
+  target_link_libraries(pthreadtwoleveltest PRIVATE ${CMAKE_THREAD_LIBS_INIT} ${DUNE_LIBS})
+  add_dune_mpi_flags(pthreadtwoleveltest)
+  add_dune_parmetis_flags(pthreadtwoleveltest)
   dune_add_test(TARGET pthreadtwoleveltest)
 
   dune_add_test(NAME pthreaddirectamgtest
                 SOURCES pthreadamgtest.cc
                 COMPILE_DEFINITIONS MYAMG=Dune::Amg::AMG<Operator,Vector,Smoother>
                 LINK_LIBRARIES ${CMAKE_THREAD_LIBS_INIT}
-                CMAKE_GUARD "SUPERLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
+                CMAKE_GUARD "SuperLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
 
   dune_add_test(NAME pthreaddirectfastamgtest
                 SOURCES pthreadamgtest.cc
                 COMPILE_DEFINITIONS MYAMG=Dune::Amg::FastAMG<Operator,Vector>
                 LINK_LIBRARIES ${CMAKE_THREAD_LIBS_INIT}
-                CMAKE_GUARD "SUPERLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
+                CMAKE_GUARD "SuperLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
 
   dune_add_test(NAME pthreaddirecttwoleveltest
                 SOURCES pthreadtwoleveltest.cc
                 LINK_LIBRARIES ${CMAKE_THREAD_LIBS_INIT}
-                CMAKE_GUARD "SUPERLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
+                CMAKE_GUARD "SuperLU_FOUND OR SuiteSparse_UMFPACK_FOUND")
 endif()
 
 # add an executable without SuperLU/UMFPack
 add_executable(amgtest amgtest.cc)
-target_link_libraries(amgtest ${DUNE_LIBS})
+target_link_libraries(amgtest PRIVATE ${DUNE_LIBS})
+add_dune_mpi_flags(amgtest)
+add_dune_parmetis_flags(amgtest)
 dune_add_test(TARGET amgtest)
 
 add_executable(fastamg fastamg.cc)
-target_link_libraries(fastamg ${DUNE_LIBS})
+target_link_libraries(fastamg PRIVATE ${DUNE_LIBS})
+add_dune_mpi_flags(fastamg)
+add_dune_parmetis_flags(fastamg)
 dune_add_test(TARGET fastamg)
 
-if(SUPERLU_FOUND)
+if(SuperLU_FOUND)
   add_executable(superluamgtest amgtest.cc)
+  target_link_libraries(superluamgtest PRIVATE ${DUNE_LIBS})
   add_dune_superlu_flags(superluamgtest)
-  target_link_libraries(superluamgtest ${DUNE_LIBS})
+  add_dune_mpi_flags(superluamgtest)
+  add_dune_parmetis_flags(superluamgtest)
   dune_add_test(TARGET superluamgtest)
 
   add_executable(superlufastamgtest fastamg.cc)
+  target_link_libraries(superlufastamgtest PRIVATE ${DUNE_LIBS})
   add_dune_superlu_flags(superlufastamgtest)
-  target_link_libraries(superlufastamgtest ${DUNE_LIBS})
+  add_dune_mpi_flags(superlufastamgtest)
+  add_dune_parmetis_flags(superlufastamgtest)
   dune_add_test(TARGET superlufastamgtest)
 endif()
 
 dune_add_test(NAME umfpackamgtest
               SOURCES amgtest.cc
               CMAKE_GUARD SuiteSparse_UMFPACK_FOUND)
+add_dune_mpi_flags(umfpackamgtest)
+add_dune_parmetis_flags(umfpackamgtest)
 
 dune_add_test(NAME umfpackfastamgtest
               SOURCES fastamg.cc
               CMAKE_GUARD SuiteSparse_UMFPACK_FOUND)
+add_dune_mpi_flags(umfpackfastamgtest)
+add_dune_parmetis_flags(umfpackfastamgtest)
 
 dune_add_test(SOURCES twolevelmethodtest.cc)
 
@@ -95,6 +112,7 @@
               SOURCES parallelamgtest.cc
               COMPILE_DEFINITIONS -DAMG_REPART_ON_COMM_GRAPH
               CMAKE_GUARD MPI_FOUND)
+add_dune_parmetis_flags(pamg_comm_repart_test)
 
 dune_add_test(NAME pamgmmtest
   SOURCES pamgmmtest.cc
