=== debian/changelog ===
dune-istl (2.8.0-2ubuntu2) jammy; urgency=medium

  * Lower to parallel=3 on ppc64el

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Nov 2021 18:59:51 +0100

dune-istl (2.8.0-2ubuntu1) jammy; urgency=medium

  * Disable lto to fix build failure on ppc64el
  * Use parallel=2 on arm64 to fix a build failure

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 03 Nov 2021 12:37:00 +0100

dune-istl (2.8.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Thu, 21 Oct 2021 18:39:09 +0200

dune-istl (2.8.0-1) experimental; urgency=medium

  * New upstream release.
  * d/control: Set Architecture to "any"

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Fri, 08 Oct 2021 13:35:56 +0200

dune-istl (2.8.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * debian/rules: Explicitly set buildsystem to CMake.

 -- Patrick Jaap <patrick.jaap@tu-dresden.de>  Fri, 20 Aug 2021 09:49:53 -0400
