=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
 Vcs-Git: https://salsa.debian.org/science-team/dune-istl.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.7.1),
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.8.0),
  libsuitesparse-dev,
  libsuperlu-dev
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
@@ -17,9 +17,9 @@
 
 Package: libdune-istl-dev
 Section: libdevel
-Architecture: all
+Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libdune-common-dev (>= 2.7.1),
+Depends: ${misc:Depends}, libdune-common-dev (>= 2.8.0),
  libsuitesparse-dev,
  libsuperlu-dev
 Suggests: libdune-istl-doc (= ${source:Version})
