=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
ifneq (,$(filter arm64, $(DEB_HOST_ARCH)))
    DEB_BUILD_OPTIONS=parallel=2
endif
ifneq (,$(filter ppc64el, $(DEB_HOST_ARCH)))
    DEB_BUILD_OPTIONS=parallel=3
endif

%:
	dh $@ --builddirectory=build --buildsystem=cmake
