## dune-istl 2.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 # set up project
 project(dune-istl C CXX)
 
@@ -26,11 +29,11 @@
 add_subdirectory(cmake/modules)
 add_subdirectory(dune)
 add_subdirectory(doc)
+add_subdirectory(src)
 
 # if Python bindings are enabled, include necessary sub directories.
 if( DUNE_ENABLE_PYTHONBINDINGS )
   add_subdirectory(python)
-  dune_python_install_package(PATH python)
 endif()
 
 # finalize the dune project, e.g. generating config.h etc.
