=== doc/doxygen/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

# shortcut for creating the Doxyfile.in and Doxyfile
add_doxygen_target()
