=== dune/istl/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
+
 add_subdirectory("common")
 add_subdirectory("eigenvalue")
 add_subdirectory("paamg")
@@ -15,7 +18,6 @@
    btdmatrix.hh
    bvector.hh
    cholmod.hh
-   colcompmatrix.hh
    foreach.hh
    gsetc.hh
    ildl.hh
