=== debian/changelog ===
dune-istl (2.9.0-5) unstable; urgency=medium

  * Added an autopkgtest
  * Do not depend on libsuitesparse-dev on i386

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 10 Jun 2024 22:30:07 +0200

dune-istl (2.9.0-4) unstable; urgency=medium

  * d/control: Depend on pkgconf instead of pkg-config
  * Make sure solverfactory only tests available solvers

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 10 Jun 2024 14:45:07 +0200

dune-istl (2.9.0-3) unstable; urgency=medium

  * Upload to unstable
  * Build without suitspare on 32bit.
  * Fixed the bugfix for umfpack calling.
  * Call int32_t variants of umfpack methods if UMFPackMatrix::size_type
    is 32bit (Closes: #1069532)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 10 Jun 2024 07:46:09 +0200

dune-istl (2.9.0-3~exp3) experimental; urgency=medium

  * Hopefully final correction of umfpack calls on 32bit.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 13:45:55 +0200

dune-istl (2.9.0-3~exp2) experimental; urgency=medium

  * Fixed the bugfix for umfpack calling.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 11:40:52 +0200

dune-istl (2.9.0-3~exp1) experimental; urgency=medium

  * Call int32_t variants of umfpack methods if UMFPackMatrix::size_type
    is 32bit (Closes: #1069532)

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 08:43:53 +0200

dune-istl (2.9.0-2) unstable; urgency=medium

  * Upload to unstable
  * d: Install pkconfig file below /usr/share for cross-compilation
  * d/control: Added Markus Blatt as uploader (with consent of Ansgar)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 Jan 2023 17:57:44 +0100

dune-istl (2.9.0-1) experimental; urgency=medium

  [ Markus Blatt ]
  * d/upstream: Added metadata file.
  * Fixed version number in dune.module
  * New upstream release (2.9.0).

  [ Ansgar ]
  * d/control: set Standards-Version to 4.6.2 (no changes).

 -- Ansgar <ansgar@debian.org>  Sat, 07 Jan 2023 23:32:19 +0100
