=== debian/control ===
--- 
+++ 
@@ -1,16 +1,16 @@
 Source: dune-istl
 Section: libs
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.2
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar <ansgar@debian.org>
+Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-istl
 Vcs-Git: https://salsa.debian.org/science-team/dune-istl.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.8.0),
- libsuitesparse-dev,
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
+ libdune-common-dev (>= 2.9.0),
+ libsuitesparse-dev [!armel !armhf !i386 !hppa !hurd-i386 !powerpc !x32],
  libsuperlu-dev
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
@@ -19,8 +19,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libdune-common-dev (>= 2.8.0),
- libsuitesparse-dev,
+Depends: ${misc:Depends}, libdune-common-dev (>= 2.9.0),
+ libsuitesparse-dev [!armel !armhf !hppa !hurd-i386 !powerpc !x32],
  libsuperlu-dev
 Suggests: libdune-istl-doc (= ${source:Version})
 Description: toolbox for solving PDEs -- iterative solvers (development files)
