## dune-istl 2.10~pre20241005

=== debian/changelog ===
dune-istl (2.10~pre20241005-1) unstable; urgency=medium

  * New upstream release (2.10~pre20241005).
  * d/patches: Refreshed patches
  * Added debian/watch file
  * d/control: Bumped standard version to 4.7.0 (no change)
  * d/control: Depend on DUNE 2.10

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 22 Oct 2024 06:23:19 +0200

dune-istl (2.9.0-6) unstable; urgency=medium

  * d/patches: Backported fix for compilation with SuperLU 7.0.0.
       (Closes: #1084252)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 10 Oct 2024 15:14:09 +0200
