## dune-istl 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,8 @@
-# SPDX-FileCopyrightText: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
-# set up project
+cmake_minimum_required(VERSION 3.16)
 project(dune-istl C CXX)
-
-# general stuff
-cmake_minimum_required(VERSION 3.13)
 
 # guess build tree of dune-common
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
@@ -26,6 +23,11 @@
 # start a dune project with information from dune.module
 dune_project()
 
+# create library target and export it as Dune::ISTL
+dune_add_library(duneistl INTERFACE
+  EXPORT_NAME ISTL
+  LINK_LIBRARIES Dune::Common)
+
 add_subdirectory(cmake/modules)
 add_subdirectory(dune)
 add_subdirectory(doc)
@@ -37,4 +39,4 @@
 endif()
 
 # finalize the dune project, e.g. generating config.h etc.
-finalize_dune_project(GENERATE_CONFIG_H_CMAKE)
+finalize_dune_project()
