=== dune/istl/common/CMakeLists.txt ===
# SPDX-FileCopyrightText: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

#install headers
install(FILES
   counter.hh
   registry.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/istl/common)
