=== debian/changelog ===
dune-istl (2.10.0-2) unstable; urgency=medium

  * Support singlecomplex with SuperLU 7.0.1 (Closes: #1104832)

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 14 May 2025 15:17:18 +0200

dune-istl (2.10.0-1) unstable; urgency=medium

  * New upstream release 2.10.0
  * d/patches: Refreshed patches
  * Added debian/watch file
  * d/control: Bumped standard version to 4.7.0 (no change)
  * d/control: Depend on DUNE 2.10

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 14 Nov 2024 18:49:43 +0100

dune-istl (2.10~pre20241005-2) experimental; urgency=medium

  * Reupload to experimental (no changes, as previous should have
     been uploaded there, too)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 22 Oct 2024 08:45:51 +0200
