=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-istl
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-istl
@@ -9,7 +9,7 @@
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
- libdune-common-dev (>= 2.9.0),
+ libdune-common-dev (>= 2.10~),
  libsuitesparse-dev [!armel !armhf !i386 !hppa !hurd-i386 !powerpc !x32],
  libsuperlu-dev
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
@@ -19,7 +19,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends}, libdune-common-dev (>= 2.9.0),
+Depends: ${misc:Depends}, libdune-common-dev (>= 2.10~),
  libsuitesparse-dev [!armel !armhf !hppa !hurd-i386 !powerpc !x32],
  libsuperlu-dev
 Suggests: libdune-istl-doc (= ${source:Version})
