## dune-istl 2.11.0~git20251211

=== debian/changelog ===
dune-istl (2.11.0~git20251211-2) experimental; urgency=medium

  * No change upload to pick up updated dune-common on some platforms.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 05 Jan 2026 11:58:45 +0100

dune-istl (2.11.0~git20251211-1) experimental; urgency=medium

  * New upstream release (2.11.0~git20251211).
  * d/patches: Removed patches already applied upstream.
  * d/control: Depend on dune-common >= 2.11~

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 12:13:12 +0100

dune-istl (2.10.0-3) unstable; urgency=medium

  * Fix compilation with g++ 15_15.2.0-8

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 18 Nov 2025 14:30:58 +0100
